+ Reply to Thread
Page 1 of 3 1 2 3 LastLast
Results 1 to 10 of 26
  1. #1
    Senior Member
    Using
    AutoCAD 2013
    Join Date
    Dec 2014
    Location
    Moldova
    Posts
    109

    Question stop automatically repeating select comand

    Registered forum members do not see this ad.

    few days ago I tryied some lisp files , after those lisps I got a problem , It automatically repeating _select comand
    "Command: _select

    Select objects: !previousSelection"

    after each comand , it begin to make me nervous , how is it possible to stop it ????
    Last edited by sergiu_ciuhnenco; 25th Sep 2015 at 08:23 am.

  2. #2
    Super Member rlx's Avatar
    Computer Details
    rlx's Computer Details
    Operating System:
    W10
    Computer:
    i74ghz/ssd500/2tbhdd
    Discipline
    Electrical
    rlx's Discipline Details
    Occupation
    electrical designer dragon
    Discipline
    Electrical
    Details
    I dont excel in anything but I rearly give up
    Using
    AutoCAD 2012
    Join Date
    Nov 2014
    Location
    Bergen op Zoom , Netherlands
    Posts
    599

    Default

    Quote Originally Posted by sergiu_ciuhnenco View Post
    few days ago I tryied some lisp files , after those lisps I got a problem , It automatically repeating _select comand
    "Command: _select

    Select objects: !previousSelection"

    after each comand , it begin to make me nervous , how is it possible to stop it ????

    Obviously one of these lispfiles has an enter ("") to many in their routine. Disable them all and then load them one by one to see which one produces the problem.


    gr. Rlx

  3. #3
    Senior Member
    Using
    AutoCAD 2013
    Join Date
    Dec 2014
    Location
    Moldova
    Posts
    109

    Default

    the problem is that I already deleted them , also forgot which one I used..
    I tried to many to remember

  4. #4
    Super Member rlx's Avatar
    Computer Details
    rlx's Computer Details
    Operating System:
    W10
    Computer:
    i74ghz/ssd500/2tbhdd
    Discipline
    Electrical
    rlx's Discipline Details
    Occupation
    electrical designer dragon
    Discipline
    Electrical
    Details
    I dont excel in anything but I rearly give up
    Using
    AutoCAD 2012
    Join Date
    Nov 2014
    Location
    Bergen op Zoom , Netherlands
    Posts
    599

    Default

    Quote Originally Posted by sergiu_ciuhnenco View Post
    the problem is that I already deleted them , also forgot which one I used..
    I tried to many to remember

    maybe one of them has done something to your acad.lsp? Very difficult to see from here...

  5. #5
    Senior Member
    Using
    AutoCAD 2013
    Join Date
    Dec 2014
    Location
    Moldova
    Posts
    109

    Default

    I try to remlace it , I had a aditional copy of it , remplace it , same thing , still repeating " _select comand "

  6. #6
    Senior Member
    Using
    AutoCAD 2013
    Join Date
    Dec 2014
    Location
    Moldova
    Posts
    109

    Default

    I am not shure but probably I try this lisp
    Code:
    (defun c:dimobj (/ ent Minpt Maxpt cRds)   (if (setq ent (car (entsel "\nSelect Something to Dimension...")))     (progn       (vla-getBoundingBox     (vlax-ename->vla-object ent) 'Minpt 'Maxpt)       (setq cRds (mapcar 'vlax-safearray->list (list Minpt Maxpt)))      (command "_dimlinear"            (polar (cadr cRds) pi (- (caadr cRds) (caar cRds)))            (cadr cRds)           (polar (cadr cRds) (* 0.5 pi) (* 2 (getvar "DIMTXT"))))      (command "_dimlinear"           (cadr cRds)           (polar (cadr cRds) (* 1.5 pi) (- (cadadr cRds) (cadar cRds)))           (polar (cadr cRds) 0.0 (* 2 (getvar "DIMTXT")))))     (princ "\n<!> No Object Selected <!>"))   (princ))
    http://www.cadtutor.net/forum/showthread.php?27634-Auto-dimesioning-polyline/page8
    MSasu post

  7. #7
    Super Member rlx's Avatar
    Computer Details
    rlx's Computer Details
    Operating System:
    W10
    Computer:
    i74ghz/ssd500/2tbhdd
    Discipline
    Electrical
    rlx's Discipline Details
    Occupation
    electrical designer dragon
    Discipline
    Electrical
    Details
    I dont excel in anything but I rearly give up
    Using
    AutoCAD 2012
    Join Date
    Nov 2014
    Location
    Bergen op Zoom , Netherlands
    Posts
    599

    Default

    Quote Originally Posted by sergiu_ciuhnenco View Post
    I try to remlace it , I had a aditional copy of it , remplace it , same thing , still repeating " _select comand "

    check your startup suite maybe? is there an .mnl loaded with your menu? or a arx file? I cant imagine that there would be a autocad setting to create this kind of behaviour.


    maybe try (getvar "cmdnames") to see what command is active?.. quite strange...

  8. #8
    Senior Member
    Using
    AutoCAD 2013
    Join Date
    Dec 2014
    Location
    Moldova
    Posts
    109

    Default

    maybe try (getvar "cmdnames") to see what command is active?.
    give me "" result

  9. #9
    Senior Member
    Using
    AutoCAD 2013
    Join Date
    Dec 2014
    Location
    Moldova
    Posts
    109

    Default

    rlx can you see in lisp , that I attached little bit higher , something strange , what can make this work wrong ?

  10. #10
    Super Member rlx's Avatar
    Computer Details
    rlx's Computer Details
    Operating System:
    W10
    Computer:
    i74ghz/ssd500/2tbhdd
    Discipline
    Electrical
    rlx's Discipline Details
    Occupation
    electrical designer dragon
    Discipline
    Electrical
    Details
    I dont excel in anything but I rearly give up
    Using
    AutoCAD 2012
    Join Date
    Nov 2014
    Location
    Bergen op Zoom , Netherlands
    Posts
    599

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by sergiu_ciuhnenco View Post
    give me "" result

    well your lisp routine seems to be ok , maybe your 'personal routine' has something to do whith it , check your mouse sensitivity?
    Attached Images

Similar Threads

  1. Replies: 3
    Last Post: 31st Jul 2012, 03:47 pm
  2. Repeat an AutoCAD command automatically
    By AutoCAD Tips Blog in forum AutoCAD RSS Feeds
    Replies: 4
    Last Post: 16th Nov 2011, 03:22 am
  3. Replies: 3
    Last Post: 15th Apr 2010, 12:17 pm
  4. How to stop auto select while modeling
    By object31 in forum AutoCAD 3D Modelling & Rendering
    Replies: 5
    Last Post: 19th Oct 2009, 10:32 pm
  5. In 3D - how to stop UCS from automatically aligning to adjacent object snap point
    By dvjstyles in forum AutoCAD 3D Modelling & Rendering
    Replies: 3
    Last Post: 3rd Nov 2008, 05:59 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts